#ifndef INTERRUPTS_H
#define INTERRUPTS_H

#include <stdint.h>

typedef struct {
    uint16_t    isr_low;
	uint16_t    codeSegment;
	uint8_t     reserved;
	uint8_t     attributes;
	uint16_t    isr_high;
} __attribute__((packed)) IDTEntry;

typedef struct {
	uint16_t	limit;
	uint32_t	base;
} __attribute__((packed)) IDTR;

extern void initInterrupts();
extern void setInterrupt(uint8_t vector, void* callback);

#endif